# x_dialog

Dialog for interactive multi-lines input.

## Calling Sequence

    result=x_dialog(labels,valueini)

## Arguments

labels

  column vector of strings, comment for dialog

valueini

  n column vector of strings, initial value suggested

result

  User answer: n column vector of strings if returned with "Ok" button or [] if returned with "Cancel" button

## Description

Opens a dialog for interactive multi-lines input.

## Examples

    gain=evstr(x_dialog('Value of gain ?','0.235'))
    x_dialog(['Method';'Enter sampling period'],'1')
    m=evstr(x_dialog('Enter a 3x3 matrix',['[0 0 0';'0 0 0';'0 0 0]']))

## See Also

- x_mdialog
- x_matrix
- evstr
- execstr